$( document ).ready(function() {

  $('.btn').click(function() {
    $('.main-screen').addClass('active');
    $('.header .btn').fadeOut();
  });

  // valid download button
  var inputs = $('input');
  button = $('button');

  inputs.on('keyup', function (event) {
    isValid = $('form')[0].checkValidity();
    if ( isValid ) {
      button.addClass('get-book');
    } else {
      button.removeClass('get-book');
    }
  });

  // form
  $(function(){
    $('form').submit(function(e) {
    var $form = $(this);

      $.ajax({
        url : '',
        type : 'GET',
        dataType: "json",
        data: $form.serialize(),
        success : function(html, status){
          //Feedback
          console.log('File will be automatically downloaded');
          $('input').val('');
          $('button').removeClass('get-book');
          $('input, button').prop('disabled', true);
          // $('.inputs-container, button').hide();
          $('.title.hide-elm').html('Поздравляем, книга успешно скачана!');
        },
        error : function(result, status, error){
          console.log('something wrong just happened!');
        },
        complete: function() {
          //Download file
          window.location.href = 'https://topfinancebook.ru/books/SuperTrader.djvu';



          setInterval(function() {
            window.location.href = 'https://amarkets.today/fx/';
          }, 2000);
        }
      });
      e.preventDefault();
    });
  });

  // Countdown
  function timeConverter(UNIX_timestamp) {
    var a = new Date(UNIX_timestamp * 1000);
    var months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
    var year = a.getFullYear();
    var month = months[a.getMonth()];
    var date = a.getDate();
    var hour = a.getHours();
    var min = a.getMinutes();
    var sec = a.getSeconds();
    var time = date + ' ' + month + ' ' + year + ' ' + hour + ':' + min + ':' + sec;
    // return time;
    console.log(date);

    $("#timer #days").html("<span>Days</span>" + date);
    $("#timer #hours").html("<span>Hours</span>" + hour);
    $("#timer #minutes").html("<span>Minutes</span>" + min);
    $("#timer #seconds").html("<span>Seconds</span>" + sec);
  }

  function makeTimer() {

    var endTime = new Date("January 01, 2020 00:00:00");
    var endTime = (Date.parse(endTime)) / 1000; //replace these two lines with the unix timestamp from the server

    var now = new Date();
    var now = (Date.parse(now) / 1000);

    var timeLeft = endTime - now;

    var days = Math.floor(timeLeft / 86400);
    var hours = Math.floor((timeLeft - (days * 86400)) / 3600);
    // var Xmas95 = new Date('December 25, 1995 23:15:30');
    // console.log(Xmas95);
    // console.log(Date.parse(timeLeft * 1000));
    // var hour = Xmas95.getHours();
    // console.log(hour);

    var minutes = Math.floor((timeLeft - (days * 86400) - (hours * 3600)) / 60);
    var seconds = Math.floor((timeLeft - (days * 86400) - (hours * 3600) - (minutes * 60)));

    if (hours < "10") {
      hours = "0" + hours;
    }
    if (minutes < "10") {
      minutes = "0" + minutes;
    }
    if (seconds < "10") {
      seconds = "0" + seconds;
    }

    // $(".timer .days").html(days);
    $(".timer .hours").html(hours);
    $(".timer .minutes").html(minutes);
    $(".timer .seconds").html(seconds);

  }

  setInterval(function() {
    makeTimer();
  }, 1000);

});

