$( document ).ready(function() {

  // valid download button
  var inputs = $('input'),
  button = $('button');

  inputs.on('keyup change', function (event) {
    isValid = $('form')[0].checkValidity();
    if ( isValid ) {
      button.addClass('get-book');
    } else {
      button.removeClass('get-book');
    }
  });

  // left book
  var number_objects1,
      number_objects2,
      displayObject1 = $('.left-count'),
      displayObject2 = $('.downloaded-count');

  function loadRandom() {
    number_objects1 = 1393 + Math.floor(Math.random() * 1);
    number_objects2 = 7569 + Math.floor(Math.random() * 1);
  }
  function decreaseRandom() {
    number_objects1 -= Math.floor(Math.random() * 2) + 1;
    number_objects2 += Math.floor(Math.random() * 2) + 1;
  }
  function showRandom() {
    displayObject1.text(number_objects1);
    displayObject2.text(number_objects2);
  }

  loadRandom();
  showRandom();

  var interval = setInterval(function () {
    decreaseRandom();
    showRandom();
    if(number_objects1 <= 3 || number_objects1 >= 8959) {
      clearInterval(interval);
    }
  }, 17000);

  // form
  $(function(){
    $('form').submit(function(e) {
    var $form = $(this);

      $.ajax({
        url : '',
        type : 'GET',
        dataType: "json",
        data: $form.serialize(),
        success : function(html, status){
          //Feedback
          console.log('File will be automatically downloaded');
          //Download file
          window.location.href = 'https://topfinancebook.ru/books/Smit-A.-Birzha.-Igra-na-dengi-2001ru.djvu';
          $('input').val('');
          $('input, button').prop('disabled', true);
          $('.form-message').slideDown();
          $('#modal').modal('hide');
        },
        error : function(result, status, error){
          console.log('something wrong just happened!');
        }
      });
      e.preventDefault();
    });
  });

});

